#!/bin/bash
echo -----------------------------------
echo          1.检查车机设备状态
echo          2.获取ROOT权限adb root
echo          3.关闭分区检测功能adb disable-verity
echo          4.重启设备adb reboot
echo          5.system分区可读写模式adb remount
echo          6.删除原车4.1高德adb shell rm -r /vendor/app/Auto
echo          7.查看APP包名adb shell ls /data/data
echo          8.删除高德数据包amapauto9
echo          9.安装高德地图Auto_7.0.apk(最新版请到amapauto.com下载)
echo          10.禁用原厂桌面（如果不装第三方左面，不要执行该操作）
echo          11.解除禁用原厂桌面
echo          12.禁止系统更新
echo          13.解除禁制系统更新
echo          14.adb推送高德签名文件
echo -----------------------------------
read -p "输入你的选择内容按回车键执行（例如：1+回车键）" n
if [ -z "$n" ]; then
    clear
    exit
fi
if [ "$n" == "1" ]; then
    echo 正在检查设备状态
    adb devices
elif [ "$n" == "2" ]; then
    echo 正在获取ROOT权限
    adb root
elif [ "$n" == "3" ]; then
    echo 正在关闭分区检测
    adb disable-verity
elif [ "$n" == "4" ]; then
    echo 正在重启设备
    adb reboot
elif [ "$n" == "5" ]; then
    echo 正在设置system分区可读写模式
    adb remount
elif [ "$n" == "6" ]; then
    echo 正在删除原车4.1高德
    adb shell rm -r /vendor/app/Auto
elif [ "$n" == "7" ]; then
    echo 正在查看APP包名
    adb shell ls /data/data
elif [ "$n" == "8" ]; then
    echo 正在删除高德数据包amapauto9
    adb shell rm -r /data/data/com.autonavi.amapauto
elif [ "$n" == "9" ]; then
    echo 正在安装高德地图Auto_7.0.apk
    adb install Auto_7.0.apk
elif [ "$n" == "10" ]; then
    echo 正在禁用原厂桌面
    adb shell pm disable com.hsae.d531mc.launcher
elif [ "$n" == "11" ]; then
    echo 正在解除禁用原厂桌面
    adb shell pm enable com.hsae.d531mc.launcher
elif [ "$n" == "12" ]; then
    echo 正在禁止系统更新
    adb shell pm disable com.szlanyou.otaupdate
    adb shell pm disable com.szlanyou.otaupdateother
elif [ "$n" == "13" ]; then
    echo 正在解除禁制系统更新
    adb shell pm enable com.szlanyou.otaupdate
    adb shell pm enable com.szlanyou.otaupdateother
elif [ "$n" == "14" ]; then
    echo 正在adb推送高德签名文件
    adb push AdapterFuncRepository.dat /storage/emulated/0/amapauto9/AutoDeviceAdapter/
    adb push DeviceAdapterRepository.dat /storage/emulated/0/amapauto9/AutoDeviceAdapter/
fi
echo -----------------------------------
read -p "请继续选择内容按回车键执行，或者退出程序。" n
if [ -z "$n" ]; then
    clear
    exit
fi
if [ "$n" == "n" ]; then
    clear
    exit
fi
clear
